Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.ws.commons.schema.extensions
Class DefaultExtensionDeserializer

    java.lang.Object
      org.apache.ws.commons.schema.extensions.DefaultExtensionDeserializer

All Implemented Interfaces:
  ExtensionDeserializer

    public class DefaultExtensionDeserializer

extends java.lang.Object
implements ExtensionDeserializer

Default deserializer. The action taken when there is nothing specific to be done would be to attach the raw element object as it is to the meta information map for an element or the raw attribute object

Constructor Summary
`DefaultExtensionDeserializer()`

Method Summary
`void` | `deserialize(XmlSchemaObject schemaObject, javax.xml.namespace.QName name, org.w3c.dom.Node node)` deserialize the given element

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### DefaultExtensionDeserializer

    public DefaultExtensionDeserializer()

Method Detail

### deserialize

    public void deserialize(XmlSchemaObject schemaObject,
                            javax.xml.namespace.QName name,
                            org.w3c.dom.Node node)

  deserialize the given element

  Specified by:
    `deserialize` in interface `ExtensionDeserializer`
  Parameters:
    `schemaObject` - - Parent schema element
    `name` - - the QName of the element/attribute to be deserialized. in the case where a deserializer is used to handle multiple elements/attributes this may be useful to determine the correct deserialization
    `node` - - the raw DOM Node read from the source. This will be the extension element itself if for an element or the extension attribute object if it is an attribute

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004-2008 The Apache Software Foundation. All Rights Reserved.